-- Example assuming you're configuring your plugin in lazy.nvim
return {
	"https://git.k4li.de/pika/telesnip.nvim",
	config = function()
		-- Load your plugin
		local telesnip = require("telesnip")

		-- Define the :Snippets command
		vim.api.nvim_create_user_command("Snippets", function()
			telesnip.snippet_picker()
		end, {})

		-- Optional: Set up a keybinding if desired
		vim.keymap.set("n", "<leader>S", ":Snippets<CR>", { desc = "Open Snippet Picker" })
	end,
}
